#ifndef _Matka_HPP_
#define _Matka_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class MatkaPart
{
public:
    float st;
    float et;
    float maxenergy;
    float energy;
    float size;
    Vector pos;
    Vector dir;
    float a;
    bool is;

};
class Matka : public Base
{
	public:

		Matka();
		~Matka();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        int maxp;
        MatkaPart *parts;
		void renderScene(float pos, float alpha);
};

#endif
